gsw_IPV_vs_fNsquared_ratio {gsw} | R Documentation

## Ratio of vert. gradient of pot. density to vert grad of locally-referenced pot density

### Description

Note that the C library had to be patched to get this working; a new version of the library will address the bug directly.

### Usage

    gsw_IPV_vs_fNsquared_ratio(SA, CT, p, p_ref = 0)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ deg C ]
`p` | sea pressure [ dbar ]
`p_ref` | reference pressure [ dbar ]

### Value

list containing IPV_vs_fNsquared_ratio [ unitless ] and mid-point pressure p_mid [ dbar ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_IPV_vs_fNsquared_ratio.html

### Examples

    SA <- c(34.7118, 34.8915)
    CT <- c(28.8099, 28.4392)
    p <-  c(     10,      50)
    p_ref <- 0
    r <- gsw_IPV_vs_fNsquared_ratio(SA, CT, p, p_ref)
    r$IPV_vs_fNsquared_ratio # 0.999745283730840
    r$p_mid                  # 30

[Package gsw version 1.0-3 Index]